Skip to main content
GET
/
api
/
deposit
/
list
List Deposits
curl --request GET \
  --url https://app.dimepayments.com/api/deposit/list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [],
  "filters": []
}
'
{
  "data": [
    {
      "transaction_date": "2023-02-15T19:14:44.000000Z",
      "fund_date": "2023-02-17 00:05:35",
      "transaction_info_id": "789161791",
      "transaction_id": "1",
      "transaction_detail_account": "1005",
      "authorization_amount": "1.0000",
      "net_amount": "0.7200",
      "sweep_id": "125068038",
      "type": "withdraw_funds"
    },
    {
      "transaction_date": "2023-02-15T19:14:44.000000Z",
      "fund_date": "2023-02-17 00:05:35",
      "transaction_info_id": "789161791",
      "transaction_id": "1",
      "transaction_detail_account": "1005",
      "authorization_amount": "1.0000",
      "net_amount": "0.7200",
      "sweep_id": "125068038",
      "type": "withdraw_funds"
    }
  ],
  "links": {
    "prev": [
      null,
      null
    ],
    "next": [
      null,
      null
    ],
    "first": null,
    "last": null
  },
  "meta": {
    "path": [
      "/",
      "/"
    ],
    "per_page": [
      15,
      15
    ],
    "next_cursor": [
      null,
      null
    ],
    "prev_cursor": [
      null,
      null
    ]
  }
}

Authorizations

Authorization
string
header
required

You can retrieve your token by visiting your dashboard and clicking Generate API token under your profile in top right.

Body

application/json
data
object
Example:
[]
filters
object
Example:
[]

Response

data
object[]
Example:
[
{
"transaction_date": "2023-02-15T19:14:44.000000Z",
"fund_date": "2023-02-17 00:05:35",
"transaction_info_id": "789161791",
"transaction_id": "1",
"transaction_detail_account": "1005",
"authorization_amount": "1.0000",
"net_amount": "0.7200",
"sweep_id": "125068038",
"type": "withdraw_funds"
},
{
"transaction_date": "2023-02-15T19:14:44.000000Z",
"fund_date": "2023-02-17 00:05:35",
"transaction_info_id": "789161791",
"transaction_id": "1",
"transaction_detail_account": "1005",
"authorization_amount": "1.0000",
"net_amount": "0.7200",
"sweep_id": "125068038",
"type": "withdraw_funds"
}
]
meta
object